This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 984560 - Review Request: enki - Extensible text editor for programmers
Review Request: enki - Extensible text editor for programmers
Status: CLOSED DUPLICATE of bug 1281876
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1273601
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 09:31 EDT by Yajo
Modified: 2015-11-13 11:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1281876 (view as bug list)
Environment:
Last Closed: 2015-11-13 11:51:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yajo 2013-07-15 09:31:51 EDT
Spec URL:
https://build.opensuse.org/package/view_file/home:yajo:enki/enki?expand=1&file=enki.spec

SRPM URL:
http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_19/src/enki-12.10.3-4.1.src.rpm

Description:
Text editor for programmers.
Enki is:
    - User friendly. Intuitive interface. Works out of the box. You don’t have
      to read a lot of docs
    - Hacker friendly. Code as quickly as possible. Without mouse.
    - Lighweight. Some IDEs show splash screen. Enki will never do it. It just
      starts quickly.
    - Extensible. Operating systems are designed for running applications.
      Enki is designed for running plugins.
    - Cross platform. Use your habitual editor on any OS. Currently has been
      tested on Linux, MacOS X, Windows.
    - High quality. No long list of fancy features. But, what is done, is done
      well.
    - Open source. This is our religion.

This is my first package for fedora and I need someone to sponsor.
Comment 1 Christopher Meng 2013-07-15 09:58:12 EDT
Hey, 

1. Can you build your spec under Fedora instead of OBS?



2. Have you read the guidelines?

- You shouldn't use define to create a custom macro,  please use global;

- Your BuildRequires are wrong, please fix. Like setuptools, you shouldn't use development package. And python version in Fedora doesnt have 2.6.6, please, use Fedora to test.

- You have desktop files installed, but you don't validate it. Please use desktop-file-utils to validate. 

- You have icons installed, please update the cache. 

- Your source0 tag is missing,  however source is ok. But its syntax is wrong again. 

For more details of fixing,  please read our guidelines.

And a friendly note, please do not use OBS to build RPM for Fedora.
Comment 2 Antonio Trande 2013-07-15 09:59:32 EDT
Hi Yajo.

Please, add a briefly description of package in the review summary, too.
See this example: http://fedoraproject.org/wiki/File:PackageReviewProcess_review.png

It would be better add a comment about included patch.
See http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

You need a validate task of the '.desktop' file.
http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
Comment 3 Yajo 2013-07-17 01:25:56 EDT
(In reply to Christopher Meng from comment #1)
> 1. Can you build your spec under Fedora instead of OBS?

Of course. I built it there before uploading.


> 2. Have you read the guidelines?
> 
> [...]

Yes, I did. However sorry for my newbieness. All you said is fixed now.


> And a friendly note, please do not use OBS to build RPM for Fedora.

I found it very practical. Is there any recommended similar service?

This time I uploaded everything to the closed-source Google Drive. I hope people like it.


(In reply to Antonio Trande from comment #2)
> Hi Yajo.
> 
> Please, add a briefly description of package in the review summary, too.
> See this example:
> http://fedoraproject.org/wiki/File:PackageReviewProcess_review.png
> 
> It would be better add a comment about included patch.
> See
> http://fedoraproject.org/wiki/Packaging:
> Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> 
> You need a validate task of the '.desktop' file.
> http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

All done, thanks.

New SPEC: https://docs.google.com/file/d/0B6L4jqW88ytdamlWdS0zZHR6SjA/edit?usp=sharing

New SRPM: https://docs.google.com/file/d/0B6L4jqW88ytdNzJ0dEQ4b0NDUlk/edit?usp=sharing
Comment 4 Yajo 2013-10-06 07:45:35 EDT
New SPEC: https://build.opensuse.org/package/view_file/home:yajo:enki/enki/enki.spec?expand=1

New SRPM: http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_19/src/enki-13.09.2-5.1.src.rpm

Sorry for using OBS. It's just a way to upload the files. Build has been tested in Fedora with mock first.

Thanks.
Comment 5 T.C. Hollingsworth 2013-10-27 20:03:08 EDT
(In reply to Yajo from comment #4)
> New SPEC:
> https://build.opensuse.org/package/view_file/home:yajo:enki/enki/enki.
> spec?expand=1

HTML again.  ;-)

--

> %global _iconsbasedir %{?_iconsbasedir:/usr/share/icons/hicolor}
> %global _desktopdir %{?_desktopdir:/usr/share/applications}

Please don't hardcode /usr. Use the appropriate macro for /usr/share instead:
http://fedoraproject.org/wiki/Packaging:RPMMacros

> BuildRequires

Please add BuildRequires on python2-devel:
http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

The -devel subpackage makes available certain RPM macros and may enable other magic in the future, so it needs to be explictly BuildRequired from every python spec file.

> %{_datarootdir}/pixmaps/%{name}.png

Please use %{_datadir} instead.  The GNU coding standards explain the subtle distinction between these two:
https://www.gnu.org/prep/standards/html_node/Directory-Variables.html
Comment 6 Yajo 2014-07-07 12:55:10 EDT
(In reply to T.C. Hollingsworth from comment #5)
All fixed.

As always, thanks for the interesting info there, it's a pleasure to learn.

New SRPM: http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_20/src/enki-14.03.0-7.1.src.rpm

New SPEC: https://build.opensuse.org/source/home:yajo:enki/enki/enki.spec?rev=88e30c8eee4422f224fc25735354d954

Cannot paste koji link until python-qutepart is approved.

Thanks for all!
Comment 7 Fedora End Of Life 2015-01-09 13:55:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Raphael Groner 2015-05-01 05:16:39 EDT
Sorry, I can not see why this review depends on another one.
Comment 9 Raphael Groner 2015-05-01 05:24:45 EDT
Would you mind to build with Qt5? Well, upstream suggests PyQt4 as a dependency, maybe it buikds also with PyQt5.
Comment 10 Yajo 2015-05-02 07:49:23 EDT
(In reply to Raphael Groner from comment #9)
> Would you mind to build with Qt5? Well, upstream suggests PyQt4 as a
> dependency, maybe it buikds also with PyQt5.

Not until https://github.com/hlamer/qutepart/issues/21 gets fixed.
Comment 11 Yajo 2015-05-07 11:49:30 EDT
Enki got updated.

SPEC URL: https://build.opensuse.org/source/home:yajo:enki/enki/enki.spec?rev=fab59e6ab419feb6f9c436162b717e0b

SRPM URL: http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_21/src/enki-15.04.0-9.1.src.rpm

I removed the Spanish descriptions because I think those will work better with AppData.
Comment 12 Raphael Groner 2015-05-31 14:32:51 EDT
Is it possible to get it done with PyQt5 (package name for dependency: python-qt5) ?
Comment 13 Yajo 2015-06-02 03:15:39 EDT
This depends on python-qutepart, so I guess https://bugzilla.redhat.com/show_bug.cgi?id=1015868#c24 also applies here.
Comment 14 Upstream Release Monitoring 2015-11-13 11:06:38 EST
raphgro's scratch build of enki-15.05.0-1.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11821466
Comment 15 Raphael Groner 2015-11-13 11:51:27 EST
As stated in https://bugzilla.redhat.com/show_bug.cgi?id=1015868#c42 I take this review request for enki additionally to python-qutepart.

*** This bug has been marked as a duplicate of bug 1281876 ***

Note You need to log in before you can comment on or make changes to this bug.